static void metadata_eevee_surf_lib_glsl(GPUSource &source, GPUFunctionDictionnary *g_functions, GPUPrintFormatMap *g_formats) {
  source.add_builtin(metadata::Builtin(15153218239913697414LLU));
  source.add_dependency("draw_model_lib.glsl");
  source.add_dependency("eevee_nodetree_lib.glsl");
  source.add_dependency("eevee_sampling_lib.glsl");
  source.add_dependency("gpu_shader_codegen_lib.glsl");
  source.add_dependency("gpu_shader_math_base_lib.glsl");
  source.add_dependency("gpu_shader_math_vector_lib.glsl");
  UNUSED_VARS(source, g_functions, g_formats);
}
